<?php

namespace Drupal\Tests\node_order_by_term\Kernel;

/**
 * Tests the uninstallation of module.
 *
 * @group node_order_by_term
 */
class NodeOrderByTermByTermUninstallTest extends NodeOrderByTermInstallTestBase {

  /**
   * Tests module uninstallation.
   */
  public function testUninstall() {
    $schema = $this->database->schema();

    // Need to ensure that filed and index exists before uninstallation.
    // Otherwise test will be successfully passed every time.
    // @see: \Drupal\Tests\node_order_by_term\Kernel\NodeOrderByTermInstallTest::testInstall().
    $this->assertTrue($schema->fieldExists('taxonomy_index', 'weight'));
    $this->assertTrue($schema->indexExists('taxonomy_index', 'weight'));

    $this->moduleInstaller->uninstall(['node_order_by_term']);

    $this->assertFalse($schema->fieldExists('taxonomy_index', 'weight'));
    $this->assertFalse($schema->indexExists('taxonomy_index', 'weight'));
  }

}
